import javax.swing.*; 
public class W2E1 
{ 
public static void main(String arg[]) 
{ //Calculate d=b*b-4.0*a*c; 
String sa=JOptionPane.showInputDialog("a="); 
String sb=JOptionPane.showInputDialog("b="); 
String sc=JOptionPane.showInputDialog("c="); 
double a=Double.parseDouble(sa); 
double b=Double.parseDouble(sb); 
double c=Double.parseDouble(sc); 
//Determinant 
double d=b*b-4.0*a*c; 
String s="delta="+b+"^2-4*"+a+"*+"+c+" = "+d; 
JOptionPane.showMessageDialog(null,s); 
}} 
